package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会员指南对象 tb_vip_guide
 * 
 * @author ruoyi
 * @date 2023-10-25
 */
public class VipGuide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 指南编号 */
    private Long guideId;

    /** 指南名 */
    @Excel(name = "指南名")
    private String name;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal money;

    /** 折扣价 */
    @Excel(name = "折扣价")
    private BigDecimal discountMoney;

    /** 所有制 一年/终身 */
    @Excel(name = "所有制 一年/终身")
    private String ownership;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public void setGuideId(Long guideId) 
    {
        this.guideId = guideId;
    }

    public Long getGuideId() 
    {
        return guideId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }
    public void setDiscountMoney(BigDecimal discountMoney) 
    {
        this.discountMoney = discountMoney;
    }

    public BigDecimal getDiscountMoney() 
    {
        return discountMoney;
    }
    public void setOwnership(String ownership) 
    {
        this.ownership = ownership;
    }

    public String getOwnership() 
    {
        return ownership;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("guideId", getGuideId())
            .append("name", getName())
            .append("money", getMoney())
            .append("discountMoney", getDiscountMoney())
            .append("ownership", getOwnership())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
